<?php
  class ArgumentMniejszyOdZeraException extends Exception
  {
  }

  function dodatniArgument($arg)
  {
    if($arg < 0){
      throw new ArgumentMniejszyOdZeraException(
                       "Argument mniejszy od zera: $arg.");
    }
  }

  try{
    dodatniArgument(-1);
  }
  catch(ArgumentMniejszyOdZeraException $e){
    echo "Wystąpił błąd: ", $e->getMessage();
  }
?>
